
/*--- styles of [Powered by phpWebApp] logo ---*/
.webapp_logo
{
  margin: 10px 0px;
  padding: 0px;
}
.webapp_logo a
{
  margin: 0px;
  padding: 2px;
  font-family: sans-serif;
  font-size: 10pt;
  font-weight: bold;
  text-align: center;
  text-decoration: none;
  color: #008800;
  background-color: #dddddd;
  white-space: nowrap;
  border: 1px solid #444488;
}
.webapp_logo a:hover 
{
  background-color: #eeeeee;
}
/*--- end styles of [Powered by phpWebApp] logo ---*/


.webapp_error, .webapp_error strong
{
  color: #ff0000; 
  font-family: sans-serif;
  font-size: 10px; 
  background-color: #ffffff;
}
.webapp_warning, .webapp_warning strong
{
  color: #bb0000; 
  font-family: sans-serif;
  font-size: 10px; 
  background-color: #ffffff;
}
.xml_error, .xml_error strong
{
  color: #ff0088; 
  font-family: sans-serif;
  font-size: 10px; 
  background-color: #ffffff;
}
.xml_err_str
{
  color: #dd0066; 
  font-family: fixed;
}
.xml_err_str strong
{
  color: #ff0000; 
  font-family: sans-serif;
  font-weight: bold;
}
.db_error, .db_error strong
{
  color: #0088ff; 
  font-family: sans-serif;
  font-size: 10px; 
  background-color: #ffffff;
}


/*---------------------------------------*/
/* p, div, span, li, td, dt */
.webapp
{
  margin: 3px;
}
.webapp td, .webapp div, div.webapp
{
  font-family: sans-serif;
  font-size: 10pt;
  font-weight: normal;
  color: #000000;
}
div.webapp a
{
  font-family: sans-serif;
  font-size: 10pt;
  color: #0000cc;
  text-decoration: none;
}
pre.webapp, .webapp pre
{
  background-color: #ffffff;
  color: #006699;
  font-family: fixed;
  font-size: 10pt;
  font-weight: normal;
}
pre.webapp a
{
  font-family: sans-serif;
  font-size: 10pt;
  color: #0044cc;
  text-decoration: none;
}

pre.webapp strong, div.webapp strong
{
  color: #660000;
  font-family: sans-serif;
  font-size: 12pt;
  font-weight: bold;
  text-decoration: underline;
}
/*---------------------------------------*/

 
.whiteRow
{
  color: navy;
  font-family: arial, helvetica, sans-se;
  font-size: 12px;
  background-color: #ffffff;
}

.greyRow
{
  color: navy;
  font-family: arial, helvetica, sans-se;
  font-size: 12px;
  background-color: #f2f2f2;
}

/*---------------------------------------*/

.webapp_filetpl_filename
{
  margin: 1px;
  margin-bottom: 0px;
  border: none;
  padding: 0px;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #006600;
  color: #ffffff;
  font-size: 80%;
  font-weight: bold;
}
.webapp_filetpl
{
  margin: 1px;
  margin-top: 0px;
  border: 1px solid #006600;
  padding: 1px;
}

.webapp_webobjtpl_id
{
  margin: 1px;
  margin-bottom: 0px;
  border: none;
  padding: 0px;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #bb0000;
  color: #ffffff;
  font-size: 80%;
  font-weight: bold;
}
.webapp_webobjtpl
{
  margin: 1px;
  margin-top: 0px;
  border: 1px solid #bb0000;
  padding: 1px;
}

/*----------------------------------------------------*/

/*--------- horizontal space -----------*/
.h_space
{
  padding: 0px;
  padding-left: 5px;
}
